classification
Title: IDLE improve Subprocess Startup Error message
Type: enhancement Stage: resolved
Components: IDLE Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Allowing multiple instances of IDLE with sub-processes
View: 1529142
Assigned To: Nosy List: ajaksu2, ggenellina, rhettinger, steven.daprano
Priority: normal Keywords:

Created on 2009-01-26 03:47 by steven.daprano, last changed 2009-04-26 22:17 by ajaksu2. This issue is now closed.

Messages (3)
msg80560 - (view) Author: Steven D'Aprano (steven.daprano) * (Python committer) Date: 2009-01-26 03:47
When launching IDLE, it reports:

"IDLE's subprocess didn't make connection. Either IDLE can't start a 
subprocess or personal firewall software is blocking the connection."

This should report what needs to be opened on the firewall to allow 
the connection, e.g. "Allow UDP/TCP connections to 127.0.0.1 on ports 
FOO and BAR and try again".
msg80608 - (view) Author: Gabriel Genellina (ggenellina) Date: 2009-01-27 02:47
#1529142 would fix this issue also, if it were accepted.
msg86621 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-04-26 22:17
Fixed in r71126, #1529142.
History
Date User Action Args
2009-04-26 22:17:24ajaksu2setstatus: open -> closed

superseder: Allowing multiple instances of IDLE with sub-processes

nosy: + ajaksu2
messages: + msg86621
resolution: duplicate
stage: resolved
2009-01-27 02:59:37rhettingersetnosy: + rhettinger
2009-01-27 02:47:18ggenellinasetnosy: + ggenellina
messages: + msg80608
2009-01-26 03:47:08steven.dapranocreate